// SJPEGTexture.h: Schnittstelle fr die Klasse SJPEGTexture.
//
// Copyright by Andr Stein
// E-Mail: andre_stein@gmx.de, andre_stein@web.de
// http://www.steinsoft.net
//////////////////////////////////////////////////////////////////////

#ifndef S_JPEGTEXTURE_H
#define S_JPEGTEXTURE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "STexture.h"

class SJPEGTexture : public STexture  
{
public:
	
	///////////////
	// Konstruktoren
	///////////////
	
	SJPEGTexture(const char* filename,int minFilter = GL_LINEAR,
		int magFilter = GL_LINEAR);
	SJPEGTexture();
	
	virtual ~SJPEGTexture();
	
	///////////////
	// Funktionen
	///////////////

	bool createMipmap(const char* filename,int minFilter = GL_LINEAR_MIPMAP_NEAREST,
		int magFilter = GL_LINEAR);
	bool createTexture(const char* filename, int minFilter = GL_LINEAR,
		int magFilter = GL_LINEAR);

};

#endif